#ifndef YumReposEnabled_h
#define YumReposEnabled_h

#include <QList>
#include <QRegExp>

class YumRepoEnabled {
public:
   YumRepoEnabled(bool enabled, QString pattern) 
      : enabled(enabled),
        re(QRegExp(pattern, Qt::CaseSensitive, QRegExp::Wildcard)) 
   {}
   bool     enabled;
   QRegExp  re;
};
   
typedef QList<YumRepoEnabled>  YumReposEnabled;

#endif
